/**
 * <copyright>
 * </copyright>
 *
 * $Id: ReferencedXMAPageImpl.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.openxma.xmadsl.model.Command;
import org.openxma.xmadsl.model.ComposeData;
import org.openxma.xmadsl.model.Composite;
import org.openxma.xmadsl.model.ConditionsBlock;
import org.openxma.xmadsl.model.DataMappingList;
import org.openxma.xmadsl.model.DataObjectVariable;
import org.openxma.xmadsl.model.EventMappingList;
import org.openxma.xmadsl.model.GrayLogic;
import org.openxma.xmadsl.model.GuiElement;
import org.openxma.xmadsl.model.Page;
import org.openxma.xmadsl.model.PageContent;
import org.openxma.xmadsl.model.PageDefinition;
import org.openxma.xmadsl.model.ReferencedXMAPage;
import org.openxma.xmadsl.model.XmadslPackage;

import at.spardat.xma.guidesign.XMAPage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Referenced XMA Page</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl#getComposeLayout <em>Compose Layout</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl#getDataMapping <em>Data Mapping</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl#getDataobjects <em>Dataobjects</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl#getEvents <em>Events</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl#getCommands <em>Commands</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl#getConditionsBlock <em>Conditions Block</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl#getContent <em>Content</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl#getGrayLogic <em>Gray Logic</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl#getXmaPage <em>Xma Page</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class ReferencedXMAPageImpl extends ReferencedXMAGuiElementImpl implements ReferencedXMAPage {
	/**
	 * The cached value of the '{@link #getComposeLayout() <em>Compose Layout</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getComposeLayout()
	 * @generated
	 * @ordered
	 */
	protected ComposeData composeLayout;

	/**
	 * The cached value of the '{@link #getDataMapping() <em>Data Mapping</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataMapping()
	 * @generated
	 * @ordered
	 */
	protected DataMappingList dataMapping;

	/**
	 * The cached value of the '{@link #getDataobjects() <em>Dataobjects</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataobjects()
	 * @generated
	 * @ordered
	 */
	protected EList<DataObjectVariable> dataobjects;

	/**
	 * The cached value of the '{@link #getEvents() <em>Events</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEvents()
	 * @generated
	 * @ordered
	 */
	protected EventMappingList events;

	/**
	 * The cached value of the '{@link #getCommands() <em>Commands</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCommands()
	 * @generated
	 * @ordered
	 */
	protected EList<Command> commands;

	/**
	 * The cached value of the '{@link #getConditionsBlock() <em>Conditions Block</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getConditionsBlock()
	 * @generated
	 * @ordered
	 */
	protected ConditionsBlock conditionsBlock;

	/**
	 * The cached value of the '{@link #getContent() <em>Content</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getContent()
	 * @generated
	 * @ordered
	 */
	protected PageContent content;

	/**
	 * The cached value of the '{@link #getGrayLogic() <em>Gray Logic</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getGrayLogic()
	 * @generated
	 * @ordered
	 */
	protected GrayLogic grayLogic;

	/**
	 * The cached value of the '{@link #getXmaPage() <em>Xma Page</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getXmaPage()
	 * @generated
	 * @ordered
	 */
	protected XMAPage xmaPage;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ReferencedXMAPageImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return XmadslPackage.eINSTANCE.getReferencedXMAPage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<DataObjectVariable> getDataobjects() {
		if (dataobjects == null) {
			dataobjects = new EObjectContainmentEList<DataObjectVariable>(DataObjectVariable.class, this, XmadslPackage.REFERENCED_XMA_PAGE__DATAOBJECTS);
		}
		return dataobjects;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ComposeData getComposeLayout() {
		return composeLayout;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetComposeLayout(ComposeData newComposeLayout, NotificationChain msgs) {
		ComposeData oldComposeLayout = composeLayout;
		composeLayout = newComposeLayout;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT, oldComposeLayout, newComposeLayout);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setComposeLayout(ComposeData newComposeLayout) {
		if (newComposeLayout != composeLayout) {
			NotificationChain msgs = null;
			if (composeLayout != null)
				msgs = ((InternalEObject)composeLayout).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT, null, msgs);
			if (newComposeLayout != null)
				msgs = ((InternalEObject)newComposeLayout).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT, null, msgs);
			msgs = basicSetComposeLayout(newComposeLayout, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT, newComposeLayout, newComposeLayout));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PageContent getContent() {
		return content;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetContent(PageContent newContent, NotificationChain msgs) {
		PageContent oldContent = content;
		content = newContent;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__CONTENT, oldContent, newContent);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setContent(PageContent newContent) {
		if (newContent != content) {
			NotificationChain msgs = null;
			if (content != null)
				msgs = ((InternalEObject)content).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__CONTENT, null, msgs);
			if (newContent != null)
				msgs = ((InternalEObject)newContent).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__CONTENT, null, msgs);
			msgs = basicSetContent(newContent, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__CONTENT, newContent, newContent));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventMappingList getEvents() {
		return events;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetEvents(EventMappingList newEvents, NotificationChain msgs) {
		EventMappingList oldEvents = events;
		events = newEvents;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__EVENTS, oldEvents, newEvents);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEvents(EventMappingList newEvents) {
		if (newEvents != events) {
			NotificationChain msgs = null;
			if (events != null)
				msgs = ((InternalEObject)events).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__EVENTS, null, msgs);
			if (newEvents != null)
				msgs = ((InternalEObject)newEvents).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__EVENTS, null, msgs);
			msgs = basicSetEvents(newEvents, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__EVENTS, newEvents, newEvents));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ConditionsBlock getConditionsBlock() {
		return conditionsBlock;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetConditionsBlock(ConditionsBlock newConditionsBlock, NotificationChain msgs) {
		ConditionsBlock oldConditionsBlock = conditionsBlock;
		conditionsBlock = newConditionsBlock;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK, oldConditionsBlock, newConditionsBlock);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setConditionsBlock(ConditionsBlock newConditionsBlock) {
		if (newConditionsBlock != conditionsBlock) {
			NotificationChain msgs = null;
			if (conditionsBlock != null)
				msgs = ((InternalEObject)conditionsBlock).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK, null, msgs);
			if (newConditionsBlock != null)
				msgs = ((InternalEObject)newConditionsBlock).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK, null, msgs);
			msgs = basicSetConditionsBlock(newConditionsBlock, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK, newConditionsBlock, newConditionsBlock));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataMappingList getDataMapping() {
		return dataMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDataMapping(DataMappingList newDataMapping, NotificationChain msgs) {
		DataMappingList oldDataMapping = dataMapping;
		dataMapping = newDataMapping;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING, oldDataMapping, newDataMapping);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDataMapping(DataMappingList newDataMapping) {
		if (newDataMapping != dataMapping) {
			NotificationChain msgs = null;
			if (dataMapping != null)
				msgs = ((InternalEObject)dataMapping).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING, null, msgs);
			if (newDataMapping != null)
				msgs = ((InternalEObject)newDataMapping).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING, null, msgs);
			msgs = basicSetDataMapping(newDataMapping, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING, newDataMapping, newDataMapping));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Command> getCommands() {
		if (commands == null) {
			commands = new EObjectContainmentEList<Command>(Command.class, this, XmadslPackage.REFERENCED_XMA_PAGE__COMMANDS);
		}
		return commands;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GrayLogic getGrayLogic() {
		return grayLogic;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetGrayLogic(GrayLogic newGrayLogic, NotificationChain msgs) {
		GrayLogic oldGrayLogic = grayLogic;
		grayLogic = newGrayLogic;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__GRAY_LOGIC, oldGrayLogic, newGrayLogic);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setGrayLogic(GrayLogic newGrayLogic) {
		if (newGrayLogic != grayLogic) {
			NotificationChain msgs = null;
			if (grayLogic != null)
				msgs = ((InternalEObject)grayLogic).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__GRAY_LOGIC, null, msgs);
			if (newGrayLogic != null)
				msgs = ((InternalEObject)newGrayLogic).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.REFERENCED_XMA_PAGE__GRAY_LOGIC, null, msgs);
			msgs = basicSetGrayLogic(newGrayLogic, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__GRAY_LOGIC, newGrayLogic, newGrayLogic));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XMAPage getXmaPage() {
		if (xmaPage != null && xmaPage.eIsProxy()) {
			InternalEObject oldXmaPage = (InternalEObject)xmaPage;
			xmaPage = (XMAPage)eResolveProxy(oldXmaPage);
			if (xmaPage != oldXmaPage) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, XmadslPackage.REFERENCED_XMA_PAGE__XMA_PAGE, oldXmaPage, xmaPage));
			}
		}
		return xmaPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XMAPage basicGetXmaPage() {
		return xmaPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setXmaPage(XMAPage newXmaPage) {
		XMAPage oldXmaPage = xmaPage;
		xmaPage = newXmaPage;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.REFERENCED_XMA_PAGE__XMA_PAGE, oldXmaPage, xmaPage));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT:
				return basicSetComposeLayout(null, msgs);
			case XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING:
				return basicSetDataMapping(null, msgs);
			case XmadslPackage.REFERENCED_XMA_PAGE__DATAOBJECTS:
				return ((InternalEList<?>)getDataobjects()).basicRemove(otherEnd, msgs);
			case XmadslPackage.REFERENCED_XMA_PAGE__EVENTS:
				return basicSetEvents(null, msgs);
			case XmadslPackage.REFERENCED_XMA_PAGE__COMMANDS:
				return ((InternalEList<?>)getCommands()).basicRemove(otherEnd, msgs);
			case XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK:
				return basicSetConditionsBlock(null, msgs);
			case XmadslPackage.REFERENCED_XMA_PAGE__CONTENT:
				return basicSetContent(null, msgs);
			case XmadslPackage.REFERENCED_XMA_PAGE__GRAY_LOGIC:
				return basicSetGrayLogic(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT:
				return getComposeLayout();
			case XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING:
				return getDataMapping();
			case XmadslPackage.REFERENCED_XMA_PAGE__DATAOBJECTS:
				return getDataobjects();
			case XmadslPackage.REFERENCED_XMA_PAGE__EVENTS:
				return getEvents();
			case XmadslPackage.REFERENCED_XMA_PAGE__COMMANDS:
				return getCommands();
			case XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK:
				return getConditionsBlock();
			case XmadslPackage.REFERENCED_XMA_PAGE__CONTENT:
				return getContent();
			case XmadslPackage.REFERENCED_XMA_PAGE__GRAY_LOGIC:
				return getGrayLogic();
			case XmadslPackage.REFERENCED_XMA_PAGE__XMA_PAGE:
				if (resolve) return getXmaPage();
				return basicGetXmaPage();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT:
				setComposeLayout((ComposeData)newValue);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING:
				setDataMapping((DataMappingList)newValue);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__DATAOBJECTS:
				getDataobjects().clear();
				getDataobjects().addAll((Collection<? extends DataObjectVariable>)newValue);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__EVENTS:
				setEvents((EventMappingList)newValue);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__COMMANDS:
				getCommands().clear();
				getCommands().addAll((Collection<? extends Command>)newValue);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK:
				setConditionsBlock((ConditionsBlock)newValue);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__CONTENT:
				setContent((PageContent)newValue);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__GRAY_LOGIC:
				setGrayLogic((GrayLogic)newValue);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__XMA_PAGE:
				setXmaPage((XMAPage)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT:
				setComposeLayout((ComposeData)null);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING:
				setDataMapping((DataMappingList)null);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__DATAOBJECTS:
				getDataobjects().clear();
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__EVENTS:
				setEvents((EventMappingList)null);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__COMMANDS:
				getCommands().clear();
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK:
				setConditionsBlock((ConditionsBlock)null);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__CONTENT:
				setContent((PageContent)null);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__GRAY_LOGIC:
				setGrayLogic((GrayLogic)null);
				return;
			case XmadslPackage.REFERENCED_XMA_PAGE__XMA_PAGE:
				setXmaPage((XMAPage)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT:
				return composeLayout != null;
			case XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING:
				return dataMapping != null;
			case XmadslPackage.REFERENCED_XMA_PAGE__DATAOBJECTS:
				return dataobjects != null && !dataobjects.isEmpty();
			case XmadslPackage.REFERENCED_XMA_PAGE__EVENTS:
				return events != null;
			case XmadslPackage.REFERENCED_XMA_PAGE__COMMANDS:
				return commands != null && !commands.isEmpty();
			case XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK:
				return conditionsBlock != null;
			case XmadslPackage.REFERENCED_XMA_PAGE__CONTENT:
				return content != null;
			case XmadslPackage.REFERENCED_XMA_PAGE__GRAY_LOGIC:
				return grayLogic != null;
			case XmadslPackage.REFERENCED_XMA_PAGE__XMA_PAGE:
				return xmaPage != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass) {
		if (baseClass == PageDefinition.class) {
			switch (derivedFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == GuiElement.class) {
			switch (derivedFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == Composite.class) {
			switch (derivedFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == Page.class) {
			switch (derivedFeatureID) {
				case XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT: return XmadslPackage.PAGE__COMPOSE_LAYOUT;
				case XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING: return XmadslPackage.PAGE__DATA_MAPPING;
				case XmadslPackage.REFERENCED_XMA_PAGE__DATAOBJECTS: return XmadslPackage.PAGE__DATAOBJECTS;
				case XmadslPackage.REFERENCED_XMA_PAGE__EVENTS: return XmadslPackage.PAGE__EVENTS;
				case XmadslPackage.REFERENCED_XMA_PAGE__COMMANDS: return XmadslPackage.PAGE__COMMANDS;
				case XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK: return XmadslPackage.PAGE__CONDITIONS_BLOCK;
				case XmadslPackage.REFERENCED_XMA_PAGE__CONTENT: return XmadslPackage.PAGE__CONTENT;
				default: return -1;
			}
		}
		return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass) {
		if (baseClass == PageDefinition.class) {
			switch (baseFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == GuiElement.class) {
			switch (baseFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == Composite.class) {
			switch (baseFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == Page.class) {
			switch (baseFeatureID) {
				case XmadslPackage.PAGE__COMPOSE_LAYOUT: return XmadslPackage.REFERENCED_XMA_PAGE__COMPOSE_LAYOUT;
				case XmadslPackage.PAGE__DATA_MAPPING: return XmadslPackage.REFERENCED_XMA_PAGE__DATA_MAPPING;
				case XmadslPackage.PAGE__DATAOBJECTS: return XmadslPackage.REFERENCED_XMA_PAGE__DATAOBJECTS;
				case XmadslPackage.PAGE__EVENTS: return XmadslPackage.REFERENCED_XMA_PAGE__EVENTS;
				case XmadslPackage.PAGE__COMMANDS: return XmadslPackage.REFERENCED_XMA_PAGE__COMMANDS;
				case XmadslPackage.PAGE__CONDITIONS_BLOCK: return XmadslPackage.REFERENCED_XMA_PAGE__CONDITIONS_BLOCK;
				case XmadslPackage.PAGE__CONTENT: return XmadslPackage.REFERENCED_XMA_PAGE__CONTENT;
				default: return -1;
			}
		}
		return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
	}

} //ReferencedXMAPageImpl
